ScalES-PPM - Bug #345

No rule to make target 'dist_array.f90' when building HTML documentation

09/25/2017 07:41 PM - Matthew Krupcale

Status: Resolved Start date: 09/25/2017
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour
Target version:

Description
After configuring the project and running

make -C doc/unitdoc html-local
from the top build directory to build the HTML documentation, make fails with the following error:
make[1]: *** No rule to make target 'dist_array.f90'. Stop.

This appears to be due to doc/unitdoc/Makefile.am attempting to build src/ppm/dist_array.f90 using the wrong target: from src, it
attempts to build the target dist_array.f90, but it should be ppm/dist_array.f90 as defined in src/Makefile.am.

The attached patch fixes this issue.

History

#1 - 08/05/2020 09:21 AM - Thomas Jahns
- Status changed from New to Resolved

- % Done changed from 0 to 100

This should be addressed now that dist_array.f90 is part of the source tree and only regenerated in maintainer-mode. The corresponding commit is
commit:65e564f70a45b.

Files

scales-ppm-doxygen-html-dist_array.f90.patch 570 Bytes 09/25/2017 Matthew Krupcale
